curl --request GET \
--url https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-linksimport requests
url = "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "5c1e8d2a-7b4f-4e3a-9d6c-2a1b0f9e8d7c",
"name": "Plano anual",
"status": "ACTIVE",
"products": [
{
"product": "8c7d6e5f-4a3b-4c2d-9e1f-0a9b8c7d6e5f",
"quantity": 1
}
],
"totalProductsPrice": 15000,
"expirationDate": "2026-12-31T00:00:00.000Z",
"type": "ONE_TIME",
"paymentMethod": [
"PIX"
],
"secondaryPaymentMethod": [
"PIX"
],
"description": "Acesso completo por 12 meses.",
"firstPaymentDate": {
"pix": "SAME_DAY",
"bankSlip": "FIVE_DAYS",
"pixAutomatic": "TEN_DAYS"
},
"numberOfInstallments": null,
"createdAt": "2026-10-26T14:30:00.000Z",
"updatedAt": "2026-10-26T14:30:00.000Z"
}
],
"next": "NjcxMWI0YzBkOGUxYTMwMDEyYjdjOWYy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "BILLING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "name",
"message": "Too big: expected string to have <=56 characters",
"code": "NAME_MAX"
}
]
}List payment links
Lists the payment links of your organization, newest first by default.
curl --request GET \
--url https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-linksimport requests
url = "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.billing.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/payment-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "5c1e8d2a-7b4f-4e3a-9d6c-2a1b0f9e8d7c",
"name": "Plano anual",
"status": "ACTIVE",
"products": [
{
"product": "8c7d6e5f-4a3b-4c2d-9e1f-0a9b8c7d6e5f",
"quantity": 1
}
],
"totalProductsPrice": 15000,
"expirationDate": "2026-12-31T00:00:00.000Z",
"type": "ONE_TIME",
"paymentMethod": [
"PIX"
],
"secondaryPaymentMethod": [
"PIX"
],
"description": "Acesso completo por 12 meses.",
"firstPaymentDate": {
"pix": "SAME_DAY",
"bankSlip": "FIVE_DAYS",
"pixAutomatic": "TEN_DAYS"
},
"numberOfInstallments": null,
"createdAt": "2026-10-26T14:30:00.000Z",
"updatedAt": "2026-10-26T14:30:00.000Z"
}
],
"next": "NjcxMWI0YzBkOGUxYTMwMDEyYjdjOWYy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "BILLING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "name",
"message": "Too big: expected string to have <=56 characters",
"code": "NAME_MAX"
}
]
}totalProductsPrice: the current catalog price of its products times their quantities.
Filter by a text in the name, by status and by the creation date (startAt/endAt, each on its own or both). Sort with order and orderBy, and page with limit + next: pass the next of one page to get the following one — the last page has no next.
Any member of the organization, or an admin of the realm, can list them.Path Parameters
ID of your realm.
Format: UUID
ID of your organization: the one that sells through the links.
Format: UUID
Query Parameters
Only links whose name contains this text, ignoring case.
1 - 56Only links in these statuses. Omit it for every status.
Example (comma-separated list): ?status=ACTIVE,DEACTIVATED
ACTIVE, DEACTIVATED, EXPIRED Page size.
1 <= x <= 100Cursor returned as next by the previous page; it must be valid base64. Omit it for the first page. Use it with the same filters and order: a cursor that no longer matches a link returns the first page.
128^[A-Za-z0-9+/]+={0,2}$Sort direction.
ASC, DESC Field to sort by.
name, createdAt Only links created on or after this moment: an ISO 8601 date (read as midnight UTC) or a date-time with an offset.
Only links created on or before this moment: an ISO 8601 date (read as midnight UTC) or a date-time with an offset.